Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Adds useful methods to the JavaScript Number type.
To use this optional module, its repository needs to be added to the application, for example by calling app.addRepository('modules/core/Number.js')
Methods
Number. format(String)
format a Number to a String
parameters

| String | Format pattern
| java.util.Locale | An optional Locale instance

returns

| String Number formatted to a String

Number. toPercent(Int, String)
return the percentage of a Number according to a given total Number
parameters

| Int | Total
| String | Format Pattern
| java.util.Locale | An optional Locale instance

returns

| Int Percentage

Number. Sorter(String, Number)
factory to create functions for sorting objects in an array
parameters

| String | name of the field each object is compared with
| Number | order (ascending or descending)

returns

| Function ready for use in Array.prototype.sort

Tue, 25 Nov 2008 16:50:09 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar